Description: Disables usage of rubygems in nokogiri-bench.rb
 This part of the test suite is in fact not run, because Hpricot support has
 been dropped in nokogiri (>=1.4.0).
Author: Cédric Boutillier <cedric.boutillier@gmail.com>
Last-Update: 2011-08-14

--- a/test/nokogiri-bench.rb
+++ b/test/nokogiri-bench.rb
@@ -1,5 +1,5 @@
 #!/usr/bin/env ruby
-require 'rubygems'
+#require 'rubygems'
 require 'open-uri'
 require 'hpricot'
 require 'nokogiri'
@@ -9,11 +9,11 @@
 
 N = 100
 
-unless Gem.loaded_specs['hpricot'].version > Gem::Version.new('0.6.161')
-  abort "** Use higher than Hpricot 0.6.161!"
-end
+#unless Gem.loaded_specs['hpricot'].version > Gem::Version.new('0.6.161')
+#  abort "** Use higher than Hpricot 0.6.161!"
+#end
 
-puts "Hpricot #{Gem.loaded_specs['hpricot'].version} vs. Nokogiri #{Gem.loaded_specs['nokogiri'].version}"
+#puts "Hpricot #{Gem.loaded_specs['hpricot'].version} vs. Nokogiri #{Gem.loaded_specs['nokogiri'].version}"
 hdoc = Hpricot(content)
 ndoc = Nokogiri.Hpricot(content)
 
